Po3mexyBaHHS nnaHorpamu B po3pisi rpyn A3C\dPopmaris
28/01/2025 02:26 - & Katarina Herikh

Status: To release Start date: 28/01/2025
Priority: High Due date:

Assignee: # Pavlo Scherbatyuk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 111 Spent time: 25.70 hours
Category: Formats Week number:

Client: OKKO

Description

Sk perioHanbHUA MeHeXep,a Xo4y:
1. nepeiTn Ha nnaH 3any
2. B 06n1aaHaHHi BioKpUTY BKNaaKy goopMatm

MarasmHu [lnaH 3any O6naagHaHHA

LLlabnoHm dopmaTu [lonaHi Kowmk

3. B nepeniky goopMaTHMX nnaHorpam nobaynTi Tinbku Ti NnaHorpamu, siki Hanexarb Lo doopMaTy, B SKOMY Yepes3 HasHaueHi
nxepena 6yB nigg's3aHuii NOTOYHWIA MarasmH,

Lie cnpocTUTb POBOTY perioHanbHOro MEHEAXEPA, KM HE CTBOPIOE MNaHOrpamMm He 3aBXAu 3Hae, ski caMe hopMaTHi
nnaHorpamm MailoTb 6yTy NPUCYTHI HA MOTOYHOMY MAaHi 3any; TaKoX Le MiHIMI3ye pU3nKin MOMUNKW | TOTO, WO PErioHanbHUiM
BUCTaBWTb NNAHOrpMy, sika He nepenbayeHa oopMaTom MarasvHy

Po3mexyBaHHs nnaHorpamu B po3pisi rpyn A3C\dopmaris, MOXIMBE WASXOM NPUB'A3KM MarasuHis 00 qoopMaTy B CUCTEMI Y BiKHi
Ha3Ha4YeHHs gXxepen aaHnx

History

#1 - 04/02/2025 06:32 - & Katarina Herikh
- Project changed from Consulting to [EPIC] ®@opmarun

#2 - 13/03/2025 01:51 - & Katarina Herikh
- Assignee changed from % Katarina Herikh to # Aleksandr Tsymbalyuk

Lns peanizauii NOTPIGHO CTBOPUTU HOBY CPYHKLLIOHAMBHICTb - [MprM3Ha4YMTK hopMaT Ha MarasvH (Ha3sa Npu HaBeOEHH)
Lle:y BiOKpUTOMY chopmaTti Mae 3'SBUTUCL HOBA KHOMKaA, sika Oyae BUKMKaTV MOAANKY 3 HACTYMHUM BUrNSA0M:
https://www.figma.com/design/mT5ks1IcjpN2haDcW3p1zv/Redesign-1.0?node-id=8827-1210&t=G7KKWsYkerSBbAEm-1
1. MarasuHu MoxHa inbTpyBatm

2. MoXnmBuii BUBip Ginblue, Hix 1 MaraaunHy

#3 - 14/03/2025 07:38 - # Aleksandr Tsymbalyuk

- Status changed from New to Ready for development

- Assignee changed from # Aleksandr Tsymbalyuk to # Volodymyr Lysiuk

- Priority changed from Normal to High

Jona HoBwuiA iHTepdhec 3rigHO dirmu.

1. OBbEKT KOXHOro doopMaTty HeobxiAHO Po3WMPUTU HOBOK BNaCTMBICTIO(KOHBEpTALIis) "assignedStores": [npepenik ineHTedikaTopis MaraavHis
ONa SKNX BUOUMI NnaHorpamm Lboro gpopmary];

2. Notpi6bHo poaaTn MeTon POST "assignStoresToFormat" siknii npuiimatume 06ekT chopmarty. e cepen iHworo 6yne "assignedStores": [npepenik

iIeHTedikaTopiB MarasuHie ans SK1x BUAMMI NiaHorpamm uboro popmary]

1BiokpuTu BikHO Npu3HadyeHHs 6e3 "assignedStores" He Buiige.
https://www.figma.com/design/mT5ks1IcjpN2haDcW3p1zv/Redesign-1.0?node-id=8827-1210&t=G7KKWsYker5BbAEm-1

#4 - 14/03/2025 07:38 - # Aleksandr Tsymbalyuk

- Target version set to Release 111

#5 - 17/03/2025 10:31 - # Volodymyr Lysiuk

noroanan 3pobuTi HaCTyrNHe (Ha3BU MOXHA 3MiHIOBaTY We MabyTb TPOXK):

. MeTon GET formatStores - oTpumaT CNMCOK MarasvHiB NpuB's3aHnx oo chopmarty i npanopeup readOnly
. Meton POST formatStores - BCTAHOBUTM CMMCOK MarasuHis NpuB'sa3aHux 4o oopmaTty

. B MmeTogi matrix GET npanopeup storesAssigned

. rnobanbHunii npanopeub enforceEquipmentFormatFilter

. napameTp byAssignedFormats (true/false/siacyTHiit) B meToai formatShelvesList

a s~ wNn =

#6 - 18/03/2025 09:04 - 4 Volodymyr Lysiuk

3pobus 1-5
1. GET formatStores ouikye B ypni napameTtp id 3 ineHTMcbikaTopom chopmarty, NoBepTae Wocb Ha KWTanTt

"readOnly": false,
"stores": [
"67ca7f7e-d3d2-11e9-85cf-1062e5819882"
}
2. POST formatStores ouikye B ypni napameTp id 3 ineHTMikatopom doopmarty, B Tini 3annMTy Macue ineHT1dikaTopiB MarasmHy
BCE iHIWEe SK OrMcaHo B nonepeaHbOMy KOMEHTapi

#7 - 18/03/2025 09:06 - # Volodymyr Lysiuk
- Assignee changed from # Volodymyr Lysiuk to # Aleksandr Tsymbalyuk

#8 - 18/03/2025 09:34 - & Katarina Herikh
- File gpinbTp npuknan.png added

[IOMOBMNINCb MPO HACTyMNHe:
1.y Bknagui "®opmatn” peanidysatu inbTp AN oOpMaTHUX NaaHorpam

A Bci

@ [Mpn3HaYeHi

1
—
s

Bci - BinobpaxatoTbcs BCi oopMaTHi nnaHorpamm
Mpu3HaueHi - Binob6paxatoTbCcst PopMaTHI NnaHorpamu, siki HanexaTb doopMaTy/opmaris, Wo 6ynu NPU3HAYEHi Ha Lel MarasuH

2. faHuii inbTp BigobpaxaTuMeTbes 3aBX AW, ONLiOHaNbHOro Oro MoxHa Byne BioknounTy Ha piBHi 6asm kKnieHTa
SAKLLO PINbTP € - MOXHA NEPEKNIoYaTUCh MiX NPU3HAYEHUMM POPMATHUMUN MAaHOrpaMamu, Ta CNMCKOM YCix oopMaTHUX nnaHorpam
AKILO BiAKNOYEHO BUKOPUCTaHHA (PiNnbTpy - Ha Bknaaui "®opmatn" 4OCTYNHI TinbKy NpuaHaveHi hopMaTHi nnaHorpamm

TaKOX MPOroBOPWN HACTYMHY NOriKy po60oTU CMCTEMU, SiKa 3aNeXUTb Bif HanawToBaHo! Moaeni ynpaBiHHA acopTUMEHTOM:
niHiHa (cnpolueHa) MoAeNb YNpaBiHHS aCOPTUMEHTOM - MOXHA NpU3HaYaTh chopMaTi sk KACTOMHI, Tak i Ti, WO HaacunaTb Yeped 06MiH
KaTteporiiHa momernb ynpaeniHHS aCOPTVIMEHTOM - MOXXHa NPU3HaYaTy TinbKy KacTOMHI coopmaTu

#9 - 21/03/2025 04:52 - & Katarina Herikh

npv HaBeOeHHi Ha IKOHKY Ha3Ba (pyHKLii - Assign format to stores (MpuaHaunTn doopmar Ha MarasmHm)

y caMoMy BiKHi 3MiHWTK Ha3BY - Select stores (O6epiTb MarasuHm)

Ha nnaxi 3any y inbTpi o dopmartie (popmaTHUX NnaHorpam):

All (Bci) ana nepeniky BCix popMaTHUX nnaHorpam

Assigned (Mpr3sHayeHi) ans nepeniky popMaTHMX NnaHorpam, Wo MICTATbCS y NPU3HAYEHNX Ha MarasunH dpopmaTax

y QinbTpi B camoMy nepeniky oopmartis Ha Bknagui "dopmaTtn” noaaTkosi QinbTpu:

Assigned Formats (MpwraHayeri popmaTtu) - PinbTp nokasye dpopmartu, siki 6ynm npuaHadeHi MarasvHam. (KOMNpPoMIcC Mo KOPOTKii Ha3Bi)
Assigned Data Source (MpusHayeHo nXxepeno LaHux) - inbTp nokasye oopmatu, Skum Byno npusHaveHo 4Xepeno oaHux.
#10 - 22/03/2025 12:45 - # Aleksandr Tsymbalyuk

- File picture015-1.png added

- File picture015-2.png added

- File picture015-3.png added

- Status changed from Ready for development to Ready for testing

- Assignee changed from # Aleksandr Tsymbalyuk to # Pavio Scherbatyuk

1. Y cdopmari nonaHo BiKHO MpU3HaYeHHs MarasuvHiB oo doopmary (picture015-1.png)

2.Y BMNaAKy SKWO HanawTyBaHHS NPUXoAsTb 3 06MIHOM(KNAacTepHe ynpaBniHHA HA CTOPOHI KNiEHTa) y BikHi By oy Tb BiAMiYEHi NpU3HaYeHi
marasvHu, ane Biopegparysatu 6yne He MOXNMBO (Mpuknagn dopmart "TpaHauT")

3. lna cnucky cpopmartiB gonaHo inbTp 3a NnpuaHavyeHuMmn marasuHamu (picture015-2.png)

4. B pexxumi nnaHy 3any ons Cnucky OOCTIMHMX hopMaTHUX MnaHorpam gonaHo ginbtp (picture015-3.png)

5. NonaHo napameTp cuctemu "enforceEquipmentFormatFilter" sikuii Bignosinae 3a noriky ginobpaxxeHHst inbTpy 3 NyHKTY 4.

6. dkwo "enforceEquipmentFormatFilter"=true Tomi ginbp 3 NyHKTY 4 He BifobpaxxaeTbCsl, @ CINCOK MO 3aMOBYEHHIO (PiNbTPYETbCS 3a
npuaHadeHumMm oopmatamu. Hapasi Taka norika 6yne Tinbku y "OKKO". dkwo "enforceEquipmentFormatFilter'=false To cpinbTp BigobpaxaeTbes i
KMIEHT MOXe 3acTOCOBYBaTM Oro OMLIOHANbHO.

#11 - 24/03/2025 10:46 - # Pavlo Scherbatyuk
- Status changed from Ready for testing to Reopen

- Assignee changed from # Pavio Scherbatyuk to # Aleksandr Tsymbalyuk

Ha nemo - HE OK.

1.1. Mpwu enforceEquipmentFormatFilter = true

MeTopa formatShelvesList BUknvMkaeTbcs nviue Npw NeplioMy BiaKpuUTTi BKNanku "®opmatn”, BiANosigHoO npu cnpobi Bigkputu Bknaaky "®opmatn”
Ha iHWOMY MarasvHi OTPYMYEMO TOM camuii cnncok obnadHaHHs, Wo i Bneplue. MeTon BUKNMKAETLCS MOBTOPHO NICAS KKy HA XPECTMK B NONi
MOLLYKY.

Mpyv ubomy y BKnaaui "dopmatn" Binobpaxxaerbcs obnafHaHHs sk 3 Neplioro MarasuHy, Tak i 3 opyroro.
https://monosnap.com/file/kPHyt5jsXFBT5PRwCsxaVctGReWYME

1.2. MNpwu enforceEquipmentFormatFilter = false

Mpu 3acTocyBaHHi inbTPy HA OLHOMY MarasuHi Ha iHWUX MarasmHax BigobpaxaloTbCs TaKoX nonepenHi pesynbTaTu.
MoBTOpHEe 3acTocyBaHHs abo ckuaaHHs inbTpy Bukvkae meton formatShelvesList.

Mpyv ubomy y BKNaaui "dopmatn" Binobpaxkaerbcs obnafHaHHs sk 3 Neplioro MarasuHy, Tak i 3 opyroro.
https://monosnap.com/file/c8qgQaN2ioOXPcxaSEIDXN7EWZqUDwD

#12 - 24/03/2025 11:57 - # Aleksandr Tsymbalyuk
- Status changed from Reopen to Ready for testing

- Assignee changed from # Aleksandr Tsymbalyuk to # Pavio Scherbatyuk

#13 - 25/03/2025 03:33 - ¢ Pavlo Scherbatyuk
- Status changed from Ready for testing to Reopen

- Assignee changed from # Pavlo Scherbatyuk to # Aleksandr Tsymbalyuk
Ha nemo - HE OK.
3apas npw rnobanbHomMy HanawTyeaHHi enforceEquipmentFormatFilter = false npu kniky Ha "Assigned formats" B meToai /formatShelvesList

BiCyTHi napameTp byAssignedFormats, BianoBiaHO OTPUMYETLCS BCe hopMaTHe 06n1aaHaHHS, a He Te, SiKe NPU3HaYeHe Ha MaraswH.
https://monosnap.com/file/iSYR3NCoYzJW8VnAMsRbNF{NxrG3E2

#14 - 01/04/2025 08:04 - # Aleksandr Tsymbalyuk
- Status changed from Reopen to Ready for testing

- Assignee changed from # Aleksandr Tsymbalyuk to # Pavio Scherbatyuk

#15 - 03/04/2025 06:09 - # Pavio Scherbatyuk

- Status changed from Ready for testing to Reopen

- Assignee changed from # Pavlo Scherbatyuk to # Aleksandr Tsymbalyuk
Ha nemo - HE OK.

Mpu rnobansHoMy HanawTyBaHHi enforceEquipmentFormatFilter = false sikwo ¢pinbTp 6yno yBiIMKHEHO HA OOHOMY 3 MaraswHiB, TO NPY Nepexoai Ha
iHWWIA MarasuH ginbTp BinobpaxaeTbes yBiIMKHEHUM, ane BinobpaxaeTbcs Bce dpopMaTHe obnanHaHHs.
https://monosnap.com/file/kPHyt5jsXFBT5PRwCsxaVctGReWYMF
https://monosnap.com/file/c8qQaN2ioOXPcxa5EIDXN7EWZqUDwD
https://monosnap.com/file/iSYR3NCoYzJW8VnAMsRbNFfNxrG3E2

https://monosnap.com/file/QmYBJLjGps01vPjbaZRmppO8RPGFs2

#16 - 03/04/2025 08:40 - # Aleksandr Tsymbalyuk
- Status changed from Reopen to Ready for testing

- Assignee changed from # Aleksandr Tsymbalyuk to # Pavio Scherbatyuk

#17 - 04/04/2025 05:42 - # Pavlo Scherbatyuk

- Status changed from Ready for testing to To release

Ha nemo - OK.

Files

Screenshot 2025-01-28 at 10.14.07.png 18.6 KB 28/01/2025 & Katarina Herikh
inbTp Npyknan.png 8.21 KB 18/03/2025 & Katarina Herikh
picture015-1.png 290 KB 22/03/2025 # Aleksandr Tsymbalyuk
picture015-2.png 256 KB 22/03/2025 # Aleksandr Tsymbalyuk
picture015-3.png 1.52 MB 22/03/2025 # Aleksandr Tsymbalyuk
